package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc品牌项目支付记录对象 cmc_brand_payment
 * 
 * @author cmc
 * @date 2024-04-29
 */
public class CmcBrandPayment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 品牌项目支付记录id */
    private Long brandPaymentId;

    /** 品牌项目支付审批id */
    @Excel(name = "品牌项目支付审批id")
    private String brandId;

    /** 到账时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "到账时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date paymentTime;

    /** 到账情况 */
    @Excel(name = "到账情况")
    private String cwComment;

    public void setBrandPaymentId(Long brandPaymentId)
    {
        this.brandPaymentId = brandPaymentId;
    }

    public Long getBrandPaymentId()
    {
        return brandPaymentId;
    }
    public void setBrandId(String brandId) 
    {
        this.brandId = brandId;
    }

    public String getBrandId() 
    {
        return brandId;
    }
    public void setPaymentTime(Date paymentTime) 
    {
        this.paymentTime = paymentTime;
    }

    public Date getPaymentTime() 
    {
        return paymentTime;
    }
    public void setCwComment(String cwComment) 
    {
        this.cwComment = cwComment;
    }

    public String getCwComment() 
    {
        return cwComment;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("brandPaymentId", getBrandPaymentId())
            .append("brandId", getBrandId())
            .append("paymentTime", getPaymentTime())
            .append("cwComment", getCwComment())
            .toString();
    }
}
